EUARE-OIDCPROVIDERCHANGETHUMBPRINT(1)

NAME
euare-oidcproviderchangethumbprint - Replace an OpenID Connect provider's list of thumbprints

SYNOPSIS
euare-oidcproviderchangethumbprint [-t HEX] [--as-account ACCOUNT]

[-U URL] [--region USER@REGION]
    [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] OIDC

DESCRIPTION
Replace an OpenID Connect provider's list of thumbprints

  positional arguments:

OIDC
    the ARN of the provider to update (required)

  optional arguments:

-t HEX, --thumbprint HEX
    the new SHA-1 thumbprint of the OpenID Connect provider's certificate. This option may be specified more than once to allow multiple certificates to be accepted. If one is not supplied this command will attempt to determine it automatically.

--as-account ACCOUNT
    [Eucalyptus cloud admin only] run this command as the administrator of another account

-U URL, --url URL
    identity service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit